package com.atguigu.tingshu.album.service;

import com.alibaba.fastjson.JSONObject;
import com.atguigu.tingshu.model.album.BaseAttribute;
import com.atguigu.tingshu.model.album.BaseCategory1;
import com.atguigu.tingshu.model.album.BaseCategory3;
import com.atguigu.tingshu.model.album.BaseCategoryView;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface BaseCategoryService extends IService<BaseCategory1> {

    /**
     * 查询所有1,2,3级分类数据
     * @return
     */
    List<JSONObject> getBaseCategoryList();

    /**
     * 根据一级分类Id获取分类标签以及标签值
     * @param category1Id
     * @return
     */
    List<BaseAttribute> findAttributeByCategory1Id(Long category1Id);

    BaseCategoryView getCategoryView(Long category3Id);

    /**
     * 根据1级分类ID查询置顶7个三级分类列表
     * @param category1Id
     * @return
     */
    List<BaseCategory3> findTopBaseCategory3(Long category1Id);

    /**
     * 根据1级分类ID查询到1级分类对象（包含所属二级分类，所属三级分类列表）
     * @param category1Id
     * @return
     */
    JSONObject getBaseCategoryListByCategory1Id(Long category1Id);
}
