package com.atguigu.tingshu;

import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.redisson.api.RLock;
import org.redisson.api.RedissonClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.concurrent.TimeUnit;

/**
 * @author: atguigu
 * @create: 2025-03-19 10:27
 */
@Slf4j
@SpringBootTest
public class RedissonLockTest {

    @Autowired
    private RedissonClient redissonClient;


    @Test
    public void testLock() {
        RLock lock = redissonClient.getLock("lock");
        //1.线程获取分布式锁
        //1.1 阻塞到线程枷锁成功为止 默认过期时间：30s
        lock.lock();
        //1.2 阻塞到线程枷锁成功为止,释放锁时间
        //lock.lock(5, TimeUnit.MINUTES);
        //1.3 尝试加锁，锁空闲返回true,锁被占用返回false
        //boolean flag = lock.tryLock();
        //1.4 尝试加锁，设置最大等待时间，超过最大等待时间后，加锁失败，返回false
        //boolean flag = lock.tryLock(3, TimeUnit.SECONDS);
        //1.5 尝试加锁，设置最大等待时间，超过最大等待时间后，加锁失败，返回false.加锁成功后设置锁过期时间，到期后锁自动释放
        //boolean flag = lock.tryLock(3, 5, TimeUnit.SECONDS);
        //2.执行业务逻辑
        //if (flag) {
            try {
                log.info(Thread.currentThread().getName()+"加锁成功,执行业务逻辑,查询数据库");
                TimeUnit.SECONDS.sleep(100);
                //lock.lock();
                //try {
                //    System.out.println(Thread.currentThread().getName()+"再次加锁成功,执行业务");
                //} finally {
                //    lock.unlock();
                //}


                //tod 执行业务代码
            } catch (Exception e) {
                throw new RuntimeException(e);
            } finally {
                //3.释放锁
                lock.unlock();
            }
        //} else {
        //    log.error("加锁失败");
        //}
    }
}
