package com.atguigu.tingshu;

import com.atguigu.tingshu.album.AlbumFeignClient;
import com.atguigu.tingshu.common.constant.RedisConstant;
import com.atguigu.tingshu.common.result.Result;
import com.atguigu.tingshu.model.album.AlbumInfo;
import com.atguigu.tingshu.search.service.SearchService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.redisson.api.RBloomFilter;
import org.redisson.api.RedissonClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@Slf4j
@SpringBootTest
class ServiceSearchApplicationTest {

    @Autowired
    private AlbumFeignClient albumFeignClient;


    @Test
    public void testGetAlbumInfo() {
        Result<AlbumInfo> albumInfo = albumFeignClient.getAlbumInfo(1L);
        System.out.println(albumInfo);
    }

    @Autowired
    private SearchService searchService;


    @Autowired
    private RedissonClient redissonClient;
    /**
     * 不严谨：循环从1到1700批量导入索引库
     */
    @Test
    public void testBatchImport(){
        RBloomFilter<Long> bloomFilter = redissonClient.getBloomFilter(RedisConstant.ALBUM_BLOOM_FILTER);
        for (long i = 1; i <=1617 ; i++) {
            try {
                //searchService.upperAlbum(i);
                bloomFilter.add(i);
            } catch (Exception e) {
                e.printStackTrace();
                continue;
            }
        }
    }


    /**
     * 日志规范：Sl4j
     * 常见日志框架实现类：Log4j,log4j2,logback(Springboot默认日志框架)
     * 日志级别：debug,info,warn,error
     */
    @Test
    public void testLog(){
        log.debug("debug级别日志");
        log.info("info级别日志");
        log.warn("warn级别日志");
        log.error("error级别日志");
    }

}
